# dask.dataframe.DataFrame.partitions

property DataFrame.partitions

  Slice dataframe by partitions

  This allows partitionwise slicing of a Dask Dataframe. You can perform normal Numpy-style slicing, but now rather than slice elements of the array you slice along partitions so, for example, `df.partitions[:5]` produces a new Dask Dataframe of the first five partitions. Valid indexers are integers, sequences of integers, slices, or boolean masks.

  Returns:
    A Dask DataFrame

  Examples

      >>> df.partitions[0]
      >>> df.partitions[:3]
      >>> df.partitions[::10]